Index: DCWoRMS/branches/coolemall/src/test/powerCapping/CB2_FCFS_Random_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/powerCapping/CB2_FCFS_Random_SP.java	(revision 1323)
+++ DCWoRMS/branches/coolemall/src/test/powerCapping/CB2_FCFS_Random_SP.java	(revision 1399)
@@ -17,5 +17,5 @@
 import schedframe.resources.computing.Rack;
 import schedframe.resources.computing.coolemall.ComputeBox1;
-import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.devices.Device;
@@ -31,5 +31,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -134,5 +134,5 @@
 
 							if(fan.getChilledResources().contains(n.getFullName())){
-								fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+								fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 							}
 						}
@@ -258,5 +258,5 @@
 
 										if(fan.getChilledResources().contains(n.getFullName())){
-											fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+											fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 										}
 									}
@@ -351,5 +351,5 @@
 
 										if(fan.getChilledResources().contains(n.getFullName())){
-											fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+											fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 										}
 									}
Index: DCWoRMS/branches/coolemall/src/test/powerCapping/FanEnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/powerCapping/FanEnergyEstimationPlugin.java	(revision 1323)
+++ DCWoRMS/branches/coolemall/src/test/powerCapping/FanEnergyEstimationPlugin.java	(revision 1399)
@@ -22,5 +22,5 @@
 		Fan fan = (Fan) resource;
 		try {
-			powerConsumption = fan.getAirThroughputInterface().getPowerConsumption(fan.getAirThroughputInterface().getAirThroughputState());
+			powerConsumption = fan.getAirflowInterface().getPowerConsumption(fan.getAirflowInterface().getAirflowState());
 		} catch (NoSuchFieldException e) {
 			// TODO Auto-generated catch block
@@ -36,13 +36,13 @@
 	}
 	
-	public double estimateAirThroughput(EnergyEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
+	public double estimateAirflow(EnergyEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
 		
-		double airThroughput = 0;
+		double airflow = 0;
 		Fan fan = (Fan) resource;
 		try {
 			if(event.getReason() == EventReason.SIM_INIT)
-				airThroughput = fan.getAirThroughputInterface().getAirFlow(fan.getAirThroughputInterface().getAirThroughputState());
+				airflow = fan.getAirflowInterface().getAirflow(fan.getAirflowInterface().getAirflowState());
 			else
-				airThroughput = fan.getAirThroughputInterface().getAirFlow(fan.getAirThroughputInterface().getAirThroughputState());
+				airflow = fan.getAirflowInterface().getAirflow(fan.getAirflowInterface().getAirflowState());
 		} catch (NoSuchFieldException e) {
 			// TODO Auto-generated catch block
@@ -64,7 +64,6 @@
 			}
 		}*/
-
 		
-		return airThroughput * getFactor(fan)/(double)fan.getChilledResources().size();
+		return airflow * getFactor(fan)/(double)fan.getChilledResources().size();
 	}
 	
Index: DCWoRMS/branches/coolemall/src/test/powerCapping/NodeEnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/powerCapping/NodeEnergyEstimationPlugin.java	(revision 1323)
+++ DCWoRMS/branches/coolemall/src/test/powerCapping/NodeEnergyEstimationPlugin.java	(revision 1399)
@@ -40,5 +40,5 @@
 						if(fan.getPowerInterface().getRecentPowerUsage().getValue() == -1){
 							try {
-								powerConsumption = powerConsumption + fan.getAirThroughputInterface().getPowerConsumption(fan.getAirThroughputInterface().getAirThroughputState())/getNumberOfWorkingNodes(fan);
+								powerConsumption = powerConsumption + fan.getAirflowInterface().getPowerConsumption(fan.getAirflowInterface().getAirflowState())/getNumberOfWorkingNodes(fan);
 							} catch (NoSuchFieldException e) {
 								// TODO Auto-generated catch block
